FTPModule

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## network
Class FTPModule

    java.lang.Object
      network.FTPModule

public class FTPModule
extends java.lang.Object

DBModule Klasse Stellt das DataAccessObject für die Kommunikation mit dem FTP Server dar, handelt daher die Verbindung und führt den gesamten Datentransfer durch

Constructor Summary
`FTPModule(ConnectionNotifier netH)` Konstruktor

Method Summary
`boolean` | `changeWorkDir(java.lang.String sWorkDir)` Ändert das aktuelle Arbeitsverzeichnis auf dem FTP Server
`void` | `checkConnection()` Überprüft die Verbindung
`boolean` | `connect(java.lang.String ip)` Stellt eine Verbindung mit dem gewünschten Server her
`boolean` | `deleteFile(java.lang.String sName)` Entfernt die angegebene Datei vom Server und aus dem lokalen Fake-Verzeichnis
`void` | `disconnect()` Trennt die FTP-Verbindung
`boolean` | `isConnected()` Liefert zurück, ob man gerade verbunden ist
`java.lang.String[]` | `listFiles()` Liefert eine Auflistung der Dateien im Verzeichnis
`boolean` | `receiveFile(java.lang.String sFile, java.lang.String sLocalDir)` Lädt die gewünschte Datei vom Server über die geöffnete FTP Verbindung herunter
`void` | `setLoginData(java.lang.String user, java.lang.String passw, java.lang.String dir)` Legt die Daten für das Einloggen fest
`boolean` | `uploadFile(java.lang.String sFile)` Lädt eine Datei auf den Server hinauf und löscht im Anschluss die lokale Kopie

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPModule

    public FTPModule(ConnectionNotifier netH)

  Konstruktor

Parameters:
  `netH` - NetworkHandler Objekt zur Statusmeldung

Method Detail

### connect

    public boolean connect(java.lang.String ip)

  Stellt eine Verbindung mit dem gewünschten Server her

  Returns:
    true bei Erfolg, sost false

### isConnected

    public boolean isConnected()

  Liefert zurück, ob man gerade verbunden ist

  Returns:
    true wenn verbunden, sonst false

### checkConnection

    public void checkConnection()

  Überprüft die Verbindung

### disconnect

    public void disconnect()

  Trennt die FTP-Verbindung

### setLoginData

    public void setLoginData(java.lang.String user,
                             java.lang.String passw,
                             java.lang.String dir)

  Legt die Daten für das Einloggen fest

  Parameters:
    `user` - Benutzername für die Anmeldung am MySQL Server
    `passw` - Passwort für die Anmeldung am MySQL Server
    `dir` - Verzeichnis, das die Daten am FTP Server enthält

### uploadFile

    public boolean uploadFile(java.lang.String sFile)

  Lädt eine Datei auf den Server hinauf und löscht im Anschluss die lokale Kopie

  Parameters:
    `sFile` - Name der Datei die upgeloadet werden soll
  Returns:
    true wenn es funktioniert hat, sonst false

### receiveFile

    public boolean receiveFile(java.lang.String sFile,
                               java.lang.String sLocalDir)

  Lädt die gewünschte Datei vom Server über die geöffnete FTP Verbindung herunter

  Parameters:
    `sFile` - das File, das vom Server heruntergeladen werden soll
  Returns:
    true wenn es funktioniert hat, sonst false

### changeWorkDir

    public boolean changeWorkDir(java.lang.String sWorkDir)

  Ändert das aktuelle Arbeitsverzeichnis auf dem FTP Server

  Parameters:
    `sWorkDir` - das Verzeichnis in das gewechselt werden soll
  Returns:
    true wenn es funktioniert, sonst false

### listFiles

    public java.lang.String[] listFiles()

  Liefert eine Auflistung der Dateien im Verzeichnis

  Returns:
    ein String-Array mit den Dateinamen

### deleteFile

    public boolean deleteFile(java.lang.String sName)

  Entfernt die angegebene Datei vom Server und aus dem lokalen Fake-Verzeichnis

  Parameters:
    `sName` - Name der Datei
  Returns:
    true bei Erfolg, sonst false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD